Package ru.bitel.bgbilling.modules.bill.common.bean.export

# Class BillContractOrder

java.lang.Object
ru.bitel.bgbilling.modules.bill.common.bean.export.BillContractOrder

public class BillContractOrder extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BillContractOrder()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `BillContract`
  `getBillContract()`
  `BillCustomer`
  `getBillCustomer()`
  `List<BillService>`
  `getBillServices()`
  `LocalDateTime`
  `getOrderDate()`
  `String`
  `getOrderNumber()`
  `String`
  `getOrderOrgTitle()`
  `BigDecimal`
  `getOrderSum()`
  `static void`
  `main(String[] args)`
  `BillContractOrder`
  `setBillContract(BillContract billContract)`
  `BillContractOrder`
  `setBillCustomer(BillCustomer billCustomer)`
  `BillContractOrder`
  `setBillServices(List<BillService> billServices)`
  `BillContractOrder`
  `setOrderDate(LocalDateTime orderDate)`
  `BillContractOrder`
  `setOrderNumber(String orderNumber)`
  `BillContractOrder`
  `setOrderOrgTitle(String orderOrgTitle)`
  `BillContractOrder`
  `setOrderSum(BigDecimal orderSum)`
  `void`
  `toXml(XMLStreamWriter doc)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### BillContractOrder

    public BillContractOrder()

- ## Method Details

  - ### getOrderDate

    public LocalDateTime getOrderDate()

  - ### getOrderNumber

    public String getOrderNumber()

  - ### getOrderOrgTitle

    public String getOrderOrgTitle()

  - ### getOrderSum

    public BigDecimal getOrderSum()

  - ### getBillCustomer

    public BillCustomer getBillCustomer()

  - ### getBillContract

    public BillContract getBillContract()

  - ### getBillServices

    public List<BillService> getBillServices()

  - ### setOrderDate

    public BillContractOrder setOrderDate(LocalDateTime orderDate)

  - ### setOrderNumber

    public BillContractOrder setOrderNumber(String orderNumber)

  - ### setOrderOrgTitle

    public BillContractOrder setOrderOrgTitle(String orderOrgTitle)

  - ### setOrderSum

    public BillContractOrder setOrderSum(BigDecimal orderSum)

  - ### setBillCustomer

    public BillContractOrder setBillCustomer(BillCustomer billCustomer)

  - ### setBillContract

    public BillContractOrder setBillContract(BillContract billContract)

  - ### setBillServices

    public BillContractOrder setBillServices(List<BillService> billServices)

  - ### toXml

    public void toXml(XMLStreamWriter doc) throws Exception
    Throws:
      `Exception`

  - ### main

    public static void main(String[] args)